Recommended PS1 Plugins

From Emulation General Wiki
Jump to: navigation, search

The PSEmu Pro plugin spec is used for dozens of emulators and many plugins were written for them. While the point of the spec is to allow a plugin to work in all emulators, various extensions or hacks have been added to some plugins and emulators causing incompatibilities.

The following are the recommended plugins to use, and comparisons between them. For a more complete list of plugins, see PS1 Plugins.

Emulator[edit]

The two recommended plugin emulators are PCSX-R and ePSXe. Since ePSXe added support for most PCSX-R exclusive plugins with 2.0, the main difference between them now is that PCSX-R supports CPU overclocking (SonofUgly's fork only).

BIOS[edit]

Don't use simulated BIOS, download and use a real BIOS.

Video[edit]

  • PeteOpenGL2Tweak: A mod for Pete's OpenGL2 2.9 plugin. Uses dll injection due to Pete's OpenGL2 2.9 being closed source. While Pete's OpenGL2 2.9 is the most accurate GPU plugin, it is missing many features and those are what PeteOpenGL2Tweak adds; most notably the ability to render at resolutions higher than 1280x960, but it also adds GTE accuracy, proper aspect correction, true vsync, and xBRZ texture scaling.
  • PEOPS OpenGL 1.78 - Comes with PCSX-R. Fork of the source release of an older version of Pete Bernert's GPU plugin. While it was the first plugin to add GTE accuracy and has many modern features, like arbitrary rendering resolutions, the core emulation doesn't seem to have improved over the years, at least not to the level of Pete's OpenGL2 2.9. Some time ago it was broken so that most games crash on Windows and was never fixed, though still works alright on Linux and OSX. Still there's not much reason to use this over PeteOpenGL2Tweak, except for the fact that getting PeteOpenGL2Tweak to work on Linux or OSX is a major hassle, as it involves setting up 32bit support and compiling everything as 32bit so it can work with the closed source 2.9 plugin that only provides 32bit x86 binaries.
  • Edgbla's gpuBladeSoft homepage - Latest with HD resolution support: 1.42a - Mostly interesting for it's texture replacement feature, added in 1.44. A video from the dev shows texture perspective correction working, but this has never been released. Other than texture replacement, there's not much reason to use this over mednafen-libretro since it added increased IR, as they are both software renderers(slow) and mednafen is more accurate. The configuration tool requires GTK3 runtime DLLs found here

Audio[edit]

  • P.E.Op.S 1.10 beta - Recommended for most games and setups (in order to use turbo, the mode needs to be set to 2: Async Simple; it will not work with 3 or 4).
  • Eternal SPU 1.5 - Useful for the few games/PCs that have issues with P.EOp.S.

Input[edit]

  • LilyPad latest SVN - The plugin comes with PCSX2 (go into the plugin folder and pull out the file that says lilypad.dll and put it in the folder of the emulator you plan on using). Set keyboard input to raw also, otherwise you wont be able to use hotkeys.
Use the following if you're using a PS3 controller:
  • Pokopom XInput Pad Plugin XInput plugin for PS1, PS2, and DC emulators. It's a light-weight plugin with a lot of options, such as the ability to switch the bindings of the cross and circle buttons around for Japanese imports. It doesn't have any button binding options, but since it's meant for mapping an emulated DualShock controller to an actual DualShock controller, you don't really need to rebind anything. You can also edit the analog stick deadzones.


This pack has preconfigured versions of both the regular and SCP versions of LilyPad.

Plugin-less Alternatives[edit]

These PS1 emulators do not use plugins, in case you want something that just works and is more accurate.